Page MenuHomePhabricator

Gather should not use MobileFrontend Skin class
Closed, ResolvedPublic

Description

This causes issues, primarily the possible double loading of the skin class and should be cleaned up straight away.
This work is blocking the lazy loading of images work.

Related Objects

StatusAssignedTask
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
DeclinedNone
OpenNone
Resolveddr0ptp4kt
DuplicateJhernandez
Duplicatedr0ptp4kt
OpenNone
ResolvedJdlrobson
ResolvedJdlrobson
ResolvedJhernandez
ResolvedJhernandez

Event Timeline

Jdlrobson created this task.Feb 3 2016, 6:45 PM
Jdlrobson claimed this task.
Jdlrobson raised the priority of this task from to Needs Triage.
Jdlrobson updated the task description. (Show Details)
Jdlrobson updated the task description. (Show Details)
Jdlrobson set Security to None.
Jdlrobson added subscribers: gerritbot, Krinkle, Jdlrobson and 9 others.

Many reason this exists is for the PointerOverlay... Urerfggh

Let me see if I can throw this dependency away.

this.options.skin.on( 'changed', $.proxy( this, 'refreshPointerArrow', this.options.target ) );

Change 268312 had a related patch set uploaded (by Jdlrobson):
PointerOverlays can now work without Skin object

https://gerrit.wikimedia.org/r/268312

Change 268313 had a related patch set uploaded (by Jdlrobson):
Hygiene: Do not create Skin's in Gather

https://gerrit.wikimedia.org/r/268313

Change 268313 merged by jenkins-bot:
Hygiene: Do not create Skin's in Gather

https://gerrit.wikimedia.org/r/268313

Change 268312 merged by jenkins-bot:
PointerOverlays can now work without Skin object

https://gerrit.wikimedia.org/r/268312

phuedx removed Jdlrobson as the assignee of this task.Feb 4 2016, 11:52 AM
phuedx triaged this task as Normal priority.Feb 4 2016, 6:14 PM
Jdlrobson removed a project: Patch-For-Review.
Jdlrobson added a subscriber: Jhernandez.

@Jhernandez can you please sign off since you reported the issue?

Verified locally

Jhernandez closed this task as Resolved.Feb 5 2016, 10:16 AM

Verified on Beta cluster as well.